import { ModelConstructor } from '../../../model/model-constructor';
/**
 * Makes sure the property will be marshalled to a S(et) type. The modelClass is required for additional type saftey
 * or if the items have a complex type
 *
 * @param {ModelConstructor<any>} modelClass
 * @returns {PropertyDecorator}
 * @constructor
 */
export declare function TypedSet(modelClass?: ModelConstructor<any>): PropertyDecorator;
