import { ConditionOperator } from '../type/condition-operator.type';
/**
 * Every expression condition operator has a predefined arity (amount) of function paramers, this method
 * returns this value
 *
 * @param {ConditionOperator} operator
 * @returns {number} The amount of required method parameters when calling an operator function
 */
export declare function operatorParameterArity(operator: ConditionOperator): number;
