export declare const BRACED_INDEX_REGEX: RegExp;
/**
 * Creates a unique attribute value placeholder name to use in the expression
 *
 * @param {string} key
 * @param {string[]} existingValueNames
 * @returns {string} The unique attribute value placeholder name in respect to the given existing value names (no duplicates)
 */
export declare function uniqAttributeValueName(key: string, existingValueNames?: string[]): string;
