import { AttributeValue } from 'aws-sdk/clients/dynamodb';
import { PropertyMetadata } from '../../decorator/metadata/property-metadata.model';
export interface MapperForType<T> {
    fromDb(attributeValue: AttributeValue, propertyMetadata?: PropertyMetadata<T>): T;
    toDb(propertyValue: T, propertyMetadata?: PropertyMetadata<T>): AttributeValue | null;
}
