import { MapperForType } from './base.mapper';
import { PropertyMetadata } from '../../decorator/metadata/property-metadata.model';
import { AttributeValue } from 'aws-sdk/clients/dynamodb';
/**
 * Enums are mapped to numbers
 */
export declare class EnumMapper<E> implements MapperForType<E> {
    constructor();
    toDb(value: E, propertyMetadata: PropertyMetadata<any>): {
        N: string;
    };
    fromDb(attributeValue: AttributeValue): E;
}
