import { ModelConstructor } from '../../../model/model-constructor';
/**
 * Makes sure the property will be marshalled to a L(ist) type. The modelClass is required if the array items
 * have some property decorators, so we can retrieve this information using the model class.
 *
 * @param {ModelConstructor<any>} modelClass
 * @returns {PropertyDecorator}
 * @constructor
 */
export declare function SortedSet(modelClass?: ModelConstructor<any>): PropertyDecorator;
