import { BaseRequest } from '../../request/base.request';
export interface RequestSortKeyConditionFunction<R extends BaseRequest<any, any>> {
    [key: string]: (...value: any[]) => R;
    equals: (value: any) => R;
    eq: (value: any) => R;
    lt: (value: any) => R;
    lte: (value: any) => R;
    gt: (value: any) => R;
    gte: (value: any) => R;
    between: (value1: any, value2: any) => R;
    beginsWith: (value: any) => R;
}
